#!/bin/bash

#######################################################################
####                                                               ####
####               Wrapper script for post-processing              ####
####                 CORDEX Tier 1 (daily) output                  ####  
####                          version 1                            ####  
#######################################################################

set -e

# --------------------
# ---   VARIABLES  ---
# --------------------
 var_input=(tas pr psl rsds ta850) # examples only


# --------------------
# --- SIMULATIONS  ---
# --------------------
 run_input=(201116)   # example only



# --- check cordex writer path ---
if [[ -z ${CORDEX_WRITER_PATH} ]]; then
 echo ...  CORDEX_WRITER_PATH not defined: TERMINATED; exit;
else
 echo ... CORDEX_WRITER_PATH ...  $CORDEX_WRITER_PATH
fi 

# --- path to meta files ---
path_meta=${CORDEX_WRITER_PATH}'/writer_meta/'

# --- CORDEX table path ---
TABLE_PATH=${CORDEX_WRITER_PATH}'/cordex_tables'

# --- input path (examples) ---
path_input=${CORDEX_WRITER_PATH}'/input_files/'

# --- output path ---
path_output=${CORDEX_WRITER_PATH}'/output_files/day/'

# --- load cordex daily writer ---   
. $path_meta'cordex_raw2day_v1.sh'

# --- number of variables ---
num_var=${#var_input[@]} 


# --- VARIABLE LOOP ---
for ((var=0;var<=num_var-1;var++)); do   # variable loop
 file_input=$path_input'tmp0_'${var_input[$var]}'_EUR-44_ECMWF-ERAINT_evaluation_r1i1p1_SMHI-RCA4_v1_day_1980-1980.grb'
 cordex_writer $file_input ${var_input[$var]} $run_input $path_output
done # variables

