####################################################
# ---- 2D regular longitude and latitude -------
####################################################

 file_lonlat=$path_out$domain'_lonlat.nc'


if [ ! -f $file_lonlat ]; then

#  --- rotaded north pole (NP) coordinates ----
  file_grid1=$path_out'grid1.txt'
  file_grid2=$path_out'grid2.txt'

  [ -f $file_grid1 ] && rm $file_grid1
  [ -f $file_grid2 ] && rm $file_grid2

  $cdo griddes $file_out > $file_grid1

  sed -e 's/[\t ]//g;/^$/d' $file_grid1 > $file_grid2
  . $file_grid2 


  [ -f $file_grid1 ] && rm $file_grid1
  [ -f $file_grid2 ] && rm $file_grid2

 # ---  save NP coordinates for lonlat_rot2reg.nco ---
  [ -f np_rot.txt ] && rm np_rot.txt
  echo '*xnpole='$xnpole';' > np_rot.txt
  echo '*ynpole='$ynpole';' >> np_rot.txt

 # ---- add lon and lat variables -------
  echo creating 2d longitude and latitude from rotated coordinates
  $nco'ncap2' -v -h -O -S $path_meta'lonlat_rot2reg.nco' $file_out $file_lonlat

 # --- rotated coordinates -----  
  $nco'ncatted' -a axis,rlon,c,c,"X" -h $file_lonlat
  $nco'ncatted' -a axis,rlat,c,c,"Y" -h $file_lonlat
fi

 # ---- lon and lat attributes -------
  $nco'ncks' -A -a -v lon,lat -h $file_lonlat $file_out
  $nco'ncatted' -a standard_name,lon,c,c,"longitude" -h $file_out
  $nco'ncatted' -a long_name,lon,c,c,"longitude" -h $file_out
  $nco'ncatted' -a units,lon,c,c,"degrees_east" -h $file_out
  $nco'ncatted' -a standard_name,lat,c,c,"latitude" -h $file_out
  $nco'ncatted' -a long_name,lat,c,c,"latitude" -h $file_out
  $nco'ncatted' -a units,lat,c,c,"degrees_north" -h $file_out
  [ -f np_rot.txt ] && rm np_rot.txt
  echo 
