#######################################################################
####                                                               ####
####         create time bounds for seasonal mean output           ####
####                       CORDEX format                           #### 
####                                                               ####  
#######################################################################

# --- temporary file (time bounds) ---
  file_time_tmp=$path_out'time_tmp.nc'       # temporary time file
  file_up=$path_out'time_up.nc'              # lower time bound file 
  file_dw=$path_out'time_dw.nc'              # upper time bound file 
  file_bnds=$path_out'time_bnds.nc'          # temporary time bound file
  file_bnds_tmp=$path_out'tmp_time_bnds.nc'  # time bound file

# --- remove temporary files if exist ---
  [ -f $file_time_tmp ] && rm $file_time_tmp      
  [ -f $file_dw ] && rm $file_dw              
  [ -f $file_up ] && rm $file_up              
  [ -f $file_bnds_tmp ] && rm $file_bnds_tmp  
  [ -f $file_bnds ] && rm $file_bnds          

# --- copy variable at one grid point (time, 1, 1) ---
  ncks -O -v time,${var_in[$var]} -d rlat,0 -d rlon,0 -h $file_out $file_time_tmp     

# --- remove attributes ---    
  ncatted -a coordinates,${var_in[$var]},d,, -h $file_time_tmp
  ncatted -a grid_mapping,${var_in[$var]},d,, -h $file_time_tmp
  ncatted -a bounds,time,d,, -h $file_time_tmp

# --- create lower and upper time bounds ---
  $cdo -shifttime,-2month $file_time_tmp $file_dw       # lower time limit 
  $cdo -shifttime,3month $file_dw $file_up              # upper time limit 

  ncrename -v time,time_dw -h $file_dw
  ncrename -v time,time_up -h $file_up

  ncks -v time_dw -h $file_dw $file_bnds_tmp
  ncks -A -v time_up -h $file_up $file_bnds_tmp

  ncap2 -h -O -s 'defdim("bnds",2); time_bnds[$time, bnds]=0.; time_bnds(:, 0)=time_dw; time_bnds(:, 1)=time_up; time[$time]=0.; time=(time_dw+time_up)/2.' -h $file_bnds_tmp $file_bnds

# --- copy time bounds to output file ---
  ncks -A -v time_bnds,time -h $file_bnds $file_out
  ncatted -a bounds,time,o,c,"time_bnds" -h $file_out

# ---- remove temporary file (time bounds) --------
  [ -f $file_time_tmp ] && rm $file_time_tmp     
  [ -f $file_dw ] && rm $file_dw                 
  [ -f $file_up ] && rm $file_up
  [ -f $file_bnds_tmp ] && rm $file_bnds_tmp                 
  [ -f $file_bnds ] && rm $file_bnds             
     
 
