# ------ driving model info --------
case $run_in in

# --- 201116:  RCA4-v1, ECMWF-ERA-INTERIM EUROPE (CORDEX) 0.44deg (1979.01-2011.03) ---
201116)        path_in='...'
               domain='EUR-44'
               experiment_id='evaluation'
               experiment='Evaluation run with reanalysis forcing'
               driving_experiment='ECMWF-ERA-INTERIM, evaluation, r1i1p1'
               driving_experiment_name='evaluation'
               gcm_name='ECMWF-ERAINT'
               gcm_version_id='r1i1p1'
               rcm_name='SMHI-RCA4'
               rcm_version_id='v1'
               comment='201116: CORDEX Europe 0.44 deg | RCA4 v1 | ECMWF-ERA-INTERIM | L40'
               project_id='CORDEX'
               calendar='standard'
               contact='rossby.data@smhi.se'
               institution='Swedish Meteorological and Hydrological Institute, Rossby Centre'
               institute_id='SMHI'
               references='http://www.smhi.se/en/Research/Research-departments/climate-research-rossby-centre';;

# --- 201117:  RCA4-v1, ECMWF-ERA-INTERIM EUROPE (CORDEX) 0.11deg (1979.01-2011.03) ---
201117)        path_in='...'
               domain='EUR-11'
               experiment_id='evaluation'
               experiment='Evaluation run with reanalysis forcing'
               driving_experiment='ECMWF-ERA-INTERIM, evaluation, r1i1p1'
               driving_experiment_name='evaluation'
               gcm_name='ECMWF-ERAINT'
               gcm_version_id='r1i1p1'
               rcm_name='SMHI-RCA4'
               rcm_version_id='v1'
               comment='201117: CORDEX Europe 0.11 deg | RCA4 v1 | ECMWF-ERA-INTERIM | L40'
               project_id='CORDEX'
               calendar='standard'
               contact='rossby.data@smhi.se'
               institution='Swedish Meteorological and Hydrological Institute, Rossby Centre'
               institute_id='SMHI'
               references='http://www.smhi.se/en/Research/Research-departments/climate-research-rossby-centre';;

# --- 201140: RCA4-v1, ICHEC-EC-EARTH, r12i1p1, historical, AFRICA (CORDEX) 0.44deg (1950.01-2005.12) ---
201140)        path_in='...'
               domain='AFR-44'
               experiment_id='historical'
               experiment='historical'
               driving_experiment='ICHEC-EC-EARTH, historical, r12i1p1'
               driving_experiment_name='historical'
               gcm_name='ICHEC-EC-EARTH'
               gcm_version_id='r12i1p1'
               rcm_name='SMHI-RCA4'
               rcm_version_id='v1'
               comment='201140: CORDEX Africa 0.44 deg | RCA4 v1 | ICHEC-EC-EARTH | r12i1p1 | historical | L40'
               project_id='CORDEX'
               calendar='standard'
               contact='rossby.data@smhi.se'
               institution='Swedish Meteorological and Hydrological Institute, Rossby Centre'
               institute_id='SMHI'
               references='http://www.smhi.se/en/Research/Research-departments/climate-research-rossby-centre';;

# --- 201141: RCA4-v1, ICHEC-EC-EARTH, r12i1p1, RCP45, AFRICA (CORDEX) 0.44deg (2006.01-2100.12) ---
201141)        path_in='...'
               domain='AFR-44'
               experiment_id='rcp45'
               experiment='RCP4.5'
               driving_experiment='ICHEC-EC-EARTH, rcp45, r12i1p1'
               driving_experiment_name='rcp45'
               gcm_name='ICHEC-EC-EARTH'
               gcm_version_id='r12i1p1'
               rcm_name='SMHI-RCA4'
               rcm_version_id='v1'
               comment='201141: CORDEX Africa 0.44 deg | RCA4 v1 | ICHEC-EC-EARTH | r12i1p1 | rcp45 | L40'
               project_id='CORDEX'
               calendar='standard'
               contact='rossby.data@smhi.se'
               institution='Swedish Meteorological and Hydrological Institute, Rossby Centre'
               institute_id='SMHI'
               references='http://www.smhi.se/en/Research/Research-departments/climate-research-rossby-centre';;

# --- 201142: RCA4-v1, ICHEC-EC-EARTH, r12i1p1, RCP85, AFRICA (CORDEX) 0.44deg (2006.01-2100.12) ---
201142)        path_in='...'
               domain='AFR-44'
               experiment_id='rcp85'
               experiment='RCP8.5'
               driving_experiment='ICHEC-EC-EARTH, rcp85, r12i1p1'
               driving_experiment_name='rcp85'
               gcm_name='ICHEC-EC-EARTH'
               gcm_version_id='r12i1p1'
               rcm_name='SMHI-RCA4'
               rcm_version_id='v1'
               comment='201142: CORDEX Africa 0.44 deg | RCA4 v1 | ICHEC-EC-EARTH | r12i1p1 | rcp85 | L40'
               project_id='CORDEX'
               calendar='standard'
               contact='rossby.data@smhi.se'
               institution='Swedish Meteorological and Hydrological Institute, Rossby Centre'
               institute_id='SMHI'
               references='http://www.smhi.se/en/Research/Research-departments/climate-research-rossby-centre';;

# --- missing simulation id ---          
     *)  echo ...   no simulation   '"'$run_in'"'  in  $file_run
         echo ...   TERMINATED
         exit;;

esac
